</style>

<?php
include_once("../header.php");
include_once("../php/config.php");
$sql = mysql_query("select * from variedad_productos where variedad like '%".$_GET['filtro']."%'") or die(mysql_error());
?>
<script>

	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sistema")
		window.location.href="../menu/menu.php";
		
	}
</script>


<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:20px;
    text-align: left;
  }

    td{
    font-size:18px;
  }
</style>

<div class="container">
  


  <div class="row">
    <div class="col-md-12">
              <div class="row">
        <div class="col-md-4 mt-2 mb-2">
                 <a class="btn btn-success" href="javascript:void(0)" onClick="modalProducto()"><i class="fa fa-plus"></i> Nuevo</a>

      <a class="btn btn-default" href="productos.php"><i class="fa fa-cubes"></i> Ir a productos</a>

        </div>
        
        <div class="col-md-3 mt-2 mb-2">
          <input type="search" id="txt_buscar" placeholder="Filtrar registros" class="form-control" value="<?php echo $_GET['filtro']?>">
        </div>
        
        
        <div class="col-md-3 mt-2 mb-2">
          <a class="btn btn-default" href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>
        </div>
      </div>

 
      <script type="text/javascript">
        function modalProducto() {
          $("#modalProducto").modal('show');
          setTimeout(function() {
            $("#frm").trigger('reset');
          }, 500)

        }

  function filtrar(){
     var t = $("#txt_buscar").val();
      window.location.href="variedad.php?filtro="+t;
   }


      </script>
   

     
          <div class="table-responsive border p-3">
            <table class="table  table-hover ">
              
                <th>Id </th>
                <th>Variedad</th>
                <th>Editar</th>
              
              <tbody>
                <?php while ($r = mysql_fetch_array($sql)) { ?>
                  <tr>
                    <td><?php echo $r["id"] ?></td>
                    <td><span class="text-primary"><?php echo $r["variedad"] ?></span></td>


                    <td width="35"><a class="" href="#modalProducto" data-toggle="modal" onClick='ver(<?php echo $r["id"] ?>)'><i class="fa fa-edit"></i></a></td>
                  </tr>
                <?php } ?>
              </tbody>
            </table>
          
      </div>


    </div>
  </div>

</div>
</div>




</div>
</div>

<!---Modal Cliente-->
<div class="modal fade" id="modalProducto" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-edit"></i> Registro de productos</h2>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">


        <form name="frm" action="" method="POST" id="frm">



          <div class="row">
            <label for="id" class="col-sm-3 col-form-label">Id</label>
            <div class="col-sm-3">
              <input autocomplete="off" type="text" class="form-control  mb-2" id="id" value="" disabled>
            </div>
          </div>

          <div class="row">
            <label for="id" class="col-sm-3 col-form-label">Variedad</label>
            <div class="col-sm-9">
              <input autocomplete="off" type="text" class="form-control mb-2 bold" id="variedad" name="variedad" value="">
            </div>
          </div>







        </form>

        <div class="modal-footer">
          <button class="btn btn-success" type="button" onclick="grabar_producto()"><i class="fa fa-w fa-save"></i> Grabar</button>

          <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

          <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once("../footer.php");

  function state($est)
  {

    if ($est == "1") {
      $b = "<span class='badge badge-success'>Activo</span>";
    } else {

      $b = "<span class='badge badge-danger'>Inactivo</span>";
    }

    return $b;
  }
  ?>

  <script>
    $("#delete").hide();
    var id = "";


    function ver(id) {
      $("#delete").show();
      dstry();
      $("#frm").trigger('reset');
      setTimeout(function() {
        $("#variedad").focus();
        $("#variedad").select();
      }, 1000);

      var sql = "select * from variedad_productos where id='" + id + "'"
      _enviar("../php/traer_datos.php", {
          "sql": sql
        })
        .done(function(data) {
          var rs = JSON.parse(data);

          for (var i in rs.data) {
            id = rs.data[i].id;
            $("#variedad").val(rs.data[i].variedad);
            $("#id").val(rs.data[i].id);

          }

        })
    }

    function grabar_producto() {
      if (!confirm("Seguro(a) que desea registrar esta variedad?")) {
        return;
      }

      var variedad = $("#variedad").val();





      if (variedad == "") {
        alert('Faltan datos');
        return
      }
      var id_ = $("#id").val()
      var sql = "";
      if (id_ == "") {
        sql = "INSERT INTO variedad_productos set ";
        sql += "variedad='" + variedad + "'";


      } else {
        sql = "UPDATE variedad_productos set";
        sql += " variedad='" + variedad + "'";
        sql += " WHERE id='" + id_ + "'";


      }

      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          //var rs = JSON.parse(data);
          if (data == "1") {

            noti("success", "Registro grabado con exito", "Registro grabado");
            $("#delete").hide();
            dstry();
            id_ = "";
            $("#modalProducto").modal('hide');
            opener.getVariedad(variedad)
            self.close()
            setTimeout(function() {
              window.location.reload()
            }, 2000)

          } else {
            alert(data);

          }

        })
    }


    function borrar() {
     var id_ = $("#id").val()
      if (id_ == "") {
        msg('Seleccione un registro');
        return
      }
      if (!confirm("Seguro(a) que desea eliminar este registro?")) {
        return;
      }
      var sql = "";
      sql = "delete from variedad_productos where id='" + id_ + "'";

      _enviar("../php/update.php", {
          "sql": sql
        })
        .done(function(data) {
          //var rs = JSON.parse(data);
          if (data == "1") {
            $("#modalcobrador").modal('hide');
            noti("success", "Registro eliminado con exito", "Registro grabado");
            $("#delete").hide();
            dstry();
            id_ = "";
            setTimeout(function() {
              window.location.reload()
            }, 1000)

          } else {
            msg(data);

          }
          $("#loading").modal('hide');
        })
    }

    $(".form-control").change(function() {
      impuestos()
    })

    function impuestos() {
      /*
      var precio = $("#precio").val();
      var tipo_impuestos = $("#tipo_impuestos").val();

      var it = parseFloat(precio)/parseFloat("1."+tipo_impuestos);
      var valor  = parseFloat(precio) - it
      if(isNaN(valor)){valor = 0;}
      if(tipo_impuestos==""){valor=0}
      
      $("#valor_impuestos").val(valor.toFixed(3))
      */
    }

    $("table").DataTable({
      "language": {
        "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
      }
    });
  </script>